Bug 168195 - move /var/lock/dmraid/ into rpm package
move /var/lock/dmraid/ into rpm package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dmraid (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Milan Broz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-13 09:22 EDT by Florian La Roche
Modified: 2013-02-28 23:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-27 08:36:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2005-09-13 09:22:38 EDT
Description of problem:

Installing the FC development tree from today, on bootup /sbin/dmraid -a y
is started on a read-only / partition and "mkdir /var/lock/dmraid" fails.
Packaging this directory into the rpm package is probably best (???).

Looking into the changelog, seems there is also a "--ignorelocking" option
which could be used?



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Heinz Mauelshagen 2005-09-13 09:33:43 EDT
Changing assignment to notting to be addressed in initscripts:

dmraid needs to be called with the '--ignorelocking' option there
in order to avoid a root readonly issue (ie, 'dmraid -i -ay').

Comment 2 Bill Nottingham 2005-09-13 12:46:14 EDT
--ignorelocking added in CVS, will be in 8.15-1.

Popping back over to dmraid to own the directory.
Comment 3 Heinz Mauelshagen 2005-09-15 07:40:28 EDT
Bill,

owning /var/lock/dmraid in a readonly environment won't help.
dmraid must be run with the -i option in early boot avoiding
access to /var completely.
Any later dmraid runs w/o -i after boot are ok with readwrite access to /var.

Did I miss something with your recommendation ?
Comment 4 Bill Nottingham 2005-09-15 09:17:36 EDT
If it requires the lock directory, it should be created as part of the RPMs
build process and shipped with the package, as opposed to created at runtime,
regardless of whether or not rc.sysinit calls it with --ignorelocking.
Comment 5 Milan Broz 2006-03-27 08:36:22 EST
Fixed in devel: /var/lock/dmraid included in rpm from version
dmraid-1.0.0.rc10-FC5_6.2.

Note You need to log in before you can comment on or make changes to this bug.